org.apache.olingo.odata2.client.api.ep

## Class EntitySerializerProperties.EntitySerializerPropertiesBuilder

- java.lang.Object
- - org.apache.olingo.odata2.client.api.ep.EntitySerializerProperties.EntitySerializerPropertiesBuilder

- Enclosing class:
    EntitySerializerProperties

      public static class EntitySerializerProperties.EntitySerializerPropertiesBuilder
      extends Object

  This class builds the Entity Serializer Properties

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `EntitySerializerPropertiesBuilder()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `EntitySerializerProperties` | `build()` Build properties object.
    `EntitySerializerProperties.EntitySerializerPropertiesBuilder` | `fromProperties(EntitySerializerProperties properties)`
    `EntitySerializerProperties.EntitySerializerPropertiesBuilder` | `includeMetadata(boolean includeMetadata)`
    `EntitySerializerProperties.EntitySerializerPropertiesBuilder` | `isKeyAutoGenerated(boolean isKeyAutoGenerated)`
    `EntitySerializerProperties.EntitySerializerPropertiesBuilder` | `serviceRoot(URI serviceRoot)`
    `EntitySerializerProperties.EntitySerializerPropertiesBuilder` | `validatingFacets(boolean validatingFacets)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### EntitySerializerPropertiesBuilder

          public EntitySerializerPropertiesBuilder()

  - ### Method Detail

    - #### includeMetadata

          public EntitySerializerProperties.EntitySerializerPropertiesBuilder includeMetadata(boolean includeMetadata)

      Parameters:
        `includeMetadata` -
      Returns:
        EntitySerializerPropertiesBuilder

    - #### serviceRoot

          public final EntitySerializerProperties.EntitySerializerPropertiesBuilder serviceRoot(URI serviceRoot)

      Parameters:
        `serviceRoot` -

    - #### isKeyAutoGenerated

          public final EntitySerializerProperties.EntitySerializerPropertiesBuilder isKeyAutoGenerated(boolean isKeyAutoGenerated)

      Parameters:
        `setting` - if payload has auto generated keys

    - #### build

          public final EntitySerializerProperties build()

      Build properties object.
      Returns:
        assembled properties object

    - #### validatingFacets

          public EntitySerializerProperties.EntitySerializerPropertiesBuilder validatingFacets(boolean validatingFacets)

      Parameters:
        `validatingFacets` -
      Returns:
        EntitySerializerPropertiesBuilder

    - #### fromProperties

          public EntitySerializerProperties.EntitySerializerPropertiesBuilder fromProperties(EntitySerializerProperties properties)

      Parameters:
        `properties` -
      Returns:
        EntitySerializerPropertiesBuilder

Copyright © 2013-2023 The Apache Software Foundation. All Rights Reserved.